
$(document).ready(function() {
    $.fn.datepicker.dates['en'] = {
        days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
        daysShort: ["Dom", "Lun", "Mar", "Mier", "Jue", "Vier", "Sab"],
        daysMin: ["D", "L", "Ma", "Mi", "J", "V", "S"],
        months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
        monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
        today: "Today",
        clear: "Clear",

        weekStart: 0
    };

    $.datepicker.setDefaults($.datepicker.regional['en']);
 
 var today = new Date();
 $(".date-picker").datepicker({
        isRTL: false,
        format: "dd-mm-yyyy",
        viewMode: "months,days", 
        minViewMode: "months,days",
        autoclose: true,
        todayHighlight: true,                   
    });
    $("#guardar").on("click", function() {          
        var nom = document.getElementById('txt_nombrecliente').value;
        var n = nom.trim();  
        var nmc = document.getElementById('nombrecompleto').value = n;
        var nc = document.getElementById('nomcliente');
        var formulario = document.getElementById("ACliente");
        var confirmacion='';
        var celular = document.getElementById('txt_CelularCliente').value;
        for (var i = 0; i < nc.length; i++) {
            var opt = nc[i];
            if(opt.text.toUpperCase()==nmc.toUpperCase())
            {
              confirmacion='true';
            }
     }
    if(celular!="" && $("input[name=Autoriza]").is(':checked'))
    {
           if(confirmacion=='true')
           {
              console.log("Valor encontrado");
              swal({
                 title: "¡Nombre de cliente existente!",
                 text:"¿Está seguro de guardar esté cliente?",
                 icon: "warning",
                 buttons: ["Cancelar", "Aceptar"],
                 confirm: true,
              })
           .then((confirm) => {
                 if(confirm)
                 {
                    console.log('acepto');
                    formulario.submit();
                 }else{
                     return false;
                 }
           });    
           }else{
              formulario.submit();
           }
        }

      });  
            $("#ClienteProspecto").on("click", function() {

                if($("#txt_nombrecliente").val()=="")
                {
                    $("#txt_nombrecliente").notify("Debe ingresar el nombre del cliente");
                    document.getElementById('txt_nombrecliente').focus();
                }else{
                // if($("#txt_apaterno").val()=="")
                // {
                //     alert("Debe ingresar el apellido paterno");
                //     document.getElementById('txt_apaterno').focus();
                // }
                // else{
                // if($("#txt_amaterno").val()=="")
                // {
                //     alert("Debe ingresar el apellido materno");
                //     document.getElementById('txt_amaterno').focus();
                // }
                // else{
                if($("#txt_CelularCliente").val()==""){
                    $("#txt_CelularCliente").notify("Debe ingresar un número celular");
                    document.getElementById('txt_CelularCliente').focus();
                }
                else{
                    document.getElementById('txt_fechanac').value="0000-00-00";
                    $("#txt_fechanac").prop("readonly", true);
                    document.getElementById('txt_TelefonoCliente').value="0000000000";
                    $("#txt_TelefonoCliente").prop("readonly", true);
                    document.getElementById('txt_CorreoCliente').value="XXX@XXXX.XXX";
                    $("#txt_CorreoCliente").prop("readonly", true);
                    document.getElementById('txt_DireccionCliente').value="XXXXXXXXXX";
                    $("#txt_DireccionCliente").prop("readonly", true);
                    document.getElementById('txt_EdadCliente').value="00";
                    $("#txt_EdadCliente").prop("readonly", true);

                    document.getElementById('txt_SexoCliente').value="OTRO";
                 
                    document.getElementById('txt_estadociv').value="OTRO";
                  
                   document.getElementById('txt_ocupacion').value="XXXXXXXXXX";
                   $("#txt_ocupacion").prop("readonly", true);
                    document.getElementById('txt_medio').value="OTRO";
                  
                    document.getElementById('txt_recomendado').value="XXXXXXXXXX";
                    $("#txt_recomendado").prop("readonly", true);
                    $("#noautoriza").prop("checked", true);
                    $("#siautoriza").prop("disabled", true);
                    
                    document.getElementById('guardar').focus();                  
                    
                    $("#guardar").trigger( "click" );
                    alert("Se guardara cliente prospecto");
                  
                } 
                // }
                // }
            }
           });   
           $( "#txt_fechanac" ).change(function() 
           {    
             var datoFecha=document.getElementById('txt_fechanac').value;
             console.log(datoFecha); 
             var desfragmenta = datoFecha.split("-");             
             var nuevaFecha=desfragmenta[2] +"-"+desfragmenta[1]+"-"+desfragmenta[0];
             console.log(nuevaFecha);
              console.log(calcularEdad(nuevaFecha));
             if(calcularEdad(nuevaFecha)<0 || isNaN((calcularEdad(nuevaFecha))))
             {
               document.querySelector("#txt_EdadCliente").value = 0;
             }
             else{
               document.querySelector("#txt_EdadCliente").value = calcularEdad(nuevaFecha);   
             }
                             
           });   
        }); 
        function calcularEdad(fecha) {
            var hoy = new Date();
            var cumpleanos = new Date(fecha);
            var edad = hoy.getFullYear() - cumpleanos.getFullYear();
            var m = hoy.getMonth() - cumpleanos.getMonth();

            if (m < 0 || (m === 0 && hoy.getDate() < cumpleanos.getDate())) {
                edad--;
            }

            return edad;
        }
        function validaLetra(e){
            tecla = (document.all) ? e.keyCode : e.which;

            //Tecla de retroceso para borrar, siempre la permite
            if (tecla==8){
            return true;
            }

            // Patron de entrada, en este caso solo acepta numeros
            patron =/[" ÁÉÍÓÚáéíóúabcdefghijklmnñopqrstuvwxyzABCDEFGHIJKLMNÑOPQRSTUVWXYZ"]/;
            tecla_final = String.fromCharCode(tecla);
            return patron.test(tecla_final);
        }
        function valida(e){
            tecla = (document.all) ? e.keyCode : e.which;

            //Tecla de retroceso para borrar, siempre la permite
            if (tecla==8){
              return true;
            }
    
            // Patron de entrada, en este caso solo acepta numeros
            patron =/["0123456789"]/;
            tecla_final = String.fromCharCode(tecla);
            return patron.test(tecla_final);
        }  
    //Función que valida que acepte un numero decimal
    function validaPunto(e){
            tecla = (document.all) ? e.keyCode : e.which;

            //Tecla de retroceso para borrar, siempre la permite
            if (tecla==8){
              return true;
            }
    
            // Patron de entrada, en este caso solo acepta numeros
            patron =/["0123456789."]/;
            tecla_final = String.fromCharCode(tecla);
            return patron.test(tecla_final);
        }
function ValidaCliente()
{
try {
     var nom = document.getElementById('txt_nombrecliente').value;
    //  var app = document.getElementById('txt_apaterno').value;
    //  var apm = document.getElementById('txt_amaterno').value;

     var n = nom.trim();
    //  var ap = app.trim();
    //  var npm = apm.trim();
   
     var nombreCompleto=n;
   var nmc = document.getElementById('nombrecompleto').value = nombreCompleto;
   var nc = document.getElementById('nomcliente');

   for (var i = 0; i < nc.length; i++) {
       var opt = nc[i];
       
       if(opt.text.toUpperCase()==nmc.toUpperCase()){
        console.log("Valor encontrado");
        // alert("Cliente ya registrado");
        $('#txt_nombrecliente').notify("¡¡Nombre de cliente ya registrado!!",  { 
            position:"bottom left",
            className: 'warning',
            autoHideDelay: 1500,
            });
        document.getElementById('txt_nombrecliente').focus();
       }
 
}
   } catch (e) {}
}

